%{?nodejs_find_provides_and_requires}

%global packagename clone-deep
%global enable_tests 1

Name:		nodejs-clone-deep
Version:	0.2.4
Release:	1%{?dist}
Summary:	Recursively (deep) clone types, like Object, Array, RegExp, Date, primitives

License:	MIT
URL:		https://github.com/jonschlinkert/clone-deep
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/master/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(for-own)
BuildRequires:	npm(is-plain-object)
BuildRequires:	npm(shallow-clone)
BuildRequires:	npm(should)
%endif

%description
Recursively (deep) clone JavaScript native types, like Object, Array, RegExp,
Date as well as primitives.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep lazy-cache

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js utils.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 0.2.4-1
- Initial packaging
